%define _mypost_service() if [ $1 = 1 ]; then /sbin/chkconfig --add %{1}; fi;

Summary: Small utils needed for the kernel
Name: bootloader-utils
Version: 1.9
Release: 1mdk
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: perl-base
Prereq: chkconfig rpm-helper
PreReq: initscripts >= 7.06-21mdk
Url: http://www.linux-mandrake.com/cgi-bin/cvsweb.cgi/soft/initscripts/mandrake/loader/
Requires: drakxtools-backend >= 10-52mdk

%description

Utils needed to install/remove a kernel.  Also for updating bootloaders.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make ROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install

%post
%_mypost_service kheader

%preun
%_preun_service kheader

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/installkernel
%config(noreplace) /etc/rc.d/init.d/kheader
/sbin/installkernel
/sbin/kernel_remove_initrd
%{_sbindir}/detectloader
%{_sbindir}/rebootin
%{_mandir}/man8/detectloader.8.bz2
%{_mandir}/man8/rebootin.8.bz2


%changelog
* Thu Aug 26 2004 Juan Quintela <quintela@mandrakesoft.com> 1.9-1mdk
- new -C option to work with cramfs.

* Sun Jul 18 2004 Pixel <pixel@mandrakesoft.com> 1.8-6mdk
- installkernel is skipped DURING_INSTALL

* Sun Jul 18 2004 Pixel <pixel@mandrakesoft.com> 1.8-5mdk
- installkernel:
  - ensure the PATH contains /sbin and /usr/sbin
  - force rebuilding the initrd in "copy" mode
    (since one may build more than one kernel with the same version)
  - use --no-short-name in "copy" mode

* Mon Jul  5 2004 Pixel <pixel@mandrakesoft.com> 1.8-4mdk
- bootloader-config prefers --no-short-name instead of --no-link

* Thu Jul  1 2004 Pixel <pixel@mandrakesoft.com> 1.8-3mdk
- require drakxtools-backend instead of drakxtools-newt

* Wed Jun 30 2004 Pixel <pixel@mandrakesoft.com> 1.8-2mdk
- installkernel *is* used for copying installing kernels in /boot 
  (cf arch/i386/boot/install.sh used by kernel's "make install")

* Mon Jun 28 2004 Pixel <pixel@mandrakesoft.com> 1.8-1mdk
- installkernel:
  - it is now a wrapper to bootloader-config (in drakxtools-newt)
  - always have option AUTOREMOVE
  - always have option NOCOPY (was useful to copy your home built kernel)
    => option NOCONFIG deprecated
  - force option -s when installing and -S when removing
    (ie always do/remove the "build" symlink to the source tree)
  - force bootloader auto-detection (options AUTODETECT and LOADER are deprecated)
  - option OPTIONS is removed (what was it for exactly?)
- detectloader is now a wrapper to bootloader-config (in drakxtools-newt)
- helper scripts make-initrd, lilo, grub and yaboot obsolete

* Mon May 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7-1mdk
- sanitize /etc/fstab parsing: do not match "/foobar/" when looking
  for "/"
- grub configuration:
  o simplify code through reusing MDK::Common
  o minimal "LABEL=foobar" managment aka handle it when looking for
    boot device (generic LABEL=foobar support is still lacking)
  o santize boot partition lookup:
    * do not match "/foobar/" when looking for "/"
    * do not match "/foobar/boot" when looking for "/boot"

* Tue Mar 02 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.6-7mdk
- getroot() don't have arguement.

* Tue Mar 02 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.6-6mdk
- append is not null anymore.
- ide-scsi removed from command line for all kernel (2.6 2.4).

* Fri Feb 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6-5mdk
- when boot loader is grub, do not remove unrelated kernel entries (#5952)
- from Thomas Backlund <tmb@mandrake.org>:
  o typo fixes
  o make some messages somewhat more understandable

* Wed Nov 12 2003 Pixel <pixel@mandrakesoft.com> 1.6-4mdk
- fix detectloader typo (perl now reports an error instead of silently ignoring the pb)

* Wed Sep 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6-3mdk
- grub: fix finding root partition when fstab has commented out
  entries

* Mon Sep  8 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.6-2mdk
- PreReq initscripts >= 7.06-21mdk

* Fri Sep  5 2003 Juan Quintela <quintela@mandrakesoft.com> 1.6-1mdk
- make i686-up-4GB names something reasonable like: 2422i686up4GB-5.
- make kheader know all mdk kernels.

* Wed Sep  3 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.5-1mdk
- kheader is in this package now

* Fri Aug 29 2003 Juan Quintela <quintela@mandrakesoft.com> 1.4-1mdk
- i686-up-4GB and p3-smp-64GB are also mdk kernels.
- /usr/share/loader dir belong to this package.

* Thu Aug 21 2003 Juan Quintela <quintela@mandrakesoft.com> 1.3-1mdk
- "name" and name are valid lilo names.
- cd $$boot only when NOCOPY.

* Mon Aug 18 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.2-1mdk
- switch to new name

* Wed Aug 13 2003 Juan Quintela <quintela@mandrakesoft.com> 1.1-1mdk
- Argh, upload wrong old 1.0 version.

* Wed Aug 13 2003 Juan Quintela <quintela@mandrakesoft.com> 0.8-1mdk
- put lot ot quotes.
- don't put spaces between variables and asignations :(

* Wed Aug 13 2003 Juan Quintela <quintela@mandrakesoft.com> 0.7-1mdk
- arghh, why previous one failed to compile is a mystery yet :(
- no mystery, I have to commit the spec file also :(

* Wed Aug 13 2003 Juan Quintela <quintela@mandrakesoft.com> 0.6-1mdk
- installkernel -S and -s should work.

* Fri Aug  8 2003 Juan Quintela <quintela@mandrakesoft.com> 0.3-1mdk
- work well when there are spaces at the end of kernel name in lilo.conf
  (chmou).

* Mon Aug  4 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- put the Conflicts on the right version og initscripts

* Fri May  9 2003 Juan Quintela <quintela@mandrakesoft.com> 0.1-1mdk
- 1st version.
- splitted from initscripts.

# end of file
